Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyRootDoc

- org.codehaus.groovy.groovydoc.GroovyDocErrorReporter

- All Superinterfaces:
    GroovyDoc, GroovyDocErrorReporter

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovyClassDoc` | `classNamed(GroovyClassDoc groovyClassDoc, String name)`
    `` | `GroovyClassDoc[]` | `classes()`
    `` | `Map<String, GroovyClassDoc>` | `getVisibleClasses(List importedClassesAndPackages)`
    `` | `String[]` | `options()`
    `` | `GroovyPackageDoc` | `packageNamed(String arg0)`
    `` | `GroovyClassDoc[]` | `specifiedClasses()`
    `` | `GroovyPackageDoc[]` | `specifiedPackages()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GroovyDoc` | `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`
    `interface GroovyDocErrorReporter` | `printError, printNotice, printWarning`

- - ### Method Detail

    - #### public GroovyClassDoc classNamed(GroovyClassDoc groovyClassDoc, String name)

    - #### public GroovyClassDoc[] classes()

    - #### public Map<String, GroovyClassDoc> getVisibleClasses(List importedClassesAndPackages)

    - #### public String[] options()

    - #### public GroovyPackageDoc packageNamed(String arg0)

    - #### public GroovyClassDoc[] specifiedClasses()

    - #### public GroovyPackageDoc[] specifiedPackages()